slapt-get(8)

NAME
slapt-get - frontend to pkgtools

SYNOPSIS
slapt-get [OPTION]... [TARGET]

options: --download-only|-d, --simulate|-s, --no-prompt|-y, --prompt|-p, --reinstall, --ignore-excludes, --no-md5, --ignore-dep, --no-dep, --print-uris, --show-stats|-S, --config|-c FILE, --remove-obsolete, --retry N, --no-upgrade

targets: --update|-u, --upgrade, --dist-upgrade, --install|-i, --install-set, --remove, --show, --filelist, --search, --list, --available, --installed, --clean, --autoclean, --add-keys, --help|-h, --version

DESCRIPTION
slapt-get is an APT like system for Slackware package management. It allows one to search for packages, install them, and upgrade the installed packages all with a few simple commands. Additional features include listing all available packages, listing all installed packages, and removing installed packages. slapt-get tries to emulate Debian's apt-get as closely as possible.

OPTIONS

--download-only, -d
    Download the package only. Do not install/upgrade. Packages are downloaded to /var/slapt-get/.

--simulate, -s
    Will not install or download packages.

--no-prompt, -y
    Do not prompt for package upgrade/remove confirmation.

--prompt, -p
    Always prompt for package install confirmation.

--reinstall
    Install the package even if it is already installed.

--ignore-excludes
    Ignore exclude list and install excluded packages anyway.

--no-md5
    Do not perform MD5 check sum on package. This is dangerous!

--ignore-dep
    Ignore dependency failures on --install, --upgrade, or --dist-upgrade.

--no-dep
    Skip the dependency check.

--print-uris
    Print URIs of packages to be downloaded to stdout, but do not download.

--show-stats, -S
    Show the download statistics

--config, -c FILE
    Specify file location of slapt-get configuration. This overrides the default location, /etc/slapt-get/slapt-getrc.

--remove-obsolete
    Remove installed packages that are no longer available. This works for --dist-upgrade and --remove only. This removes packages that are no longer available from any current package sources, but are currently installed. Be careful as this will also remove custom built packages.

--retry N
    Specify the number of retries to attempt if the package download fails.

--no-upgrade
    Install the package rather than attempting to detect if a previous version is installed and upgrading it. This is useful for installing kernel packages. This option is only valid for --install targets.

TARGETS

--update, -u
    Retrieves package data from MIRROR location.

--upgrade
    Upgrade installed packages if newer versions are available.

--dist-upgrade
    Upgrade to newer Slackware release. This is the same as --upgrade, with the addition of checking to make sure that all the base packages, from the base disk set, are also installed. Prior to running dist-upgrade, make sure that the package cache is updated and the crucial packages (glibc-solibs, sed, and pkgtools) are upgraded. See UPGRADE.TXT on your local Slackware mirror.

--install, -i package...
    Install specified packages. Packages can be package names or package names with version, e.g., pkg-1.0-i386-1.

--install-set disk_set...
    Install specified disk sets, e.g., --install-set xap n l.

--remove package...
    Remove specified packages. Packages can be package names or package names with version, e.g., pkg-1.0-i386-1.

--show package...
    Show packages description. Packages can be a package names or package names with version, e.g., pkg-1.0-i386-1.

--filelist package...
    Show packages installed files. Packages can be a package names or package names with version, e.g., pkg-1.0-i386-1.

--search expression
    Search available packages. Applies POSIX and extended regular expression to the names, versions, locations, and descriptions of packages.

--list
    List all packages, installed and available.

--available
    List available packages only. This will show you the packages present on your current sources.

--installed
    List installed packages only.

--clean
    Purge cached/downloaded packages from WORKINGDIR (/var/slapt-get/ by default).

--autoclean
    Like clean, autoclean clears out the local repository of retrieved package files. The difference is that it only removes package files that can no longer be downloaded, and are largely useless. This allows a cache to be maintained over a long period without it growing out of control.

--add-keys
    Check each package source for a GPG-KEY file. Download and import into the local keychain.

--help, -h
    Display help and exit.

--version
    Print version and license info.

NOTES

slapt-get uses pkgtools for installing, upgrading, and removing.

slapt-get will not make assumptions or do things without you telling it to.

slapt-get can only attempt to resolve dependencies and conflicts for those packages that were built with this information. Vanilla Slackware packages (i.e. official Slackware packages) do not contain this data, thus slapt-get performs with --no-dep on by default.

Untested updates are risky, whether using official packages or third party packages.

slapt-get will not change your system such that you can only use slapt-get or are somehow locked into using slapt-get. The only additions to your system are /etc/slapt-get and /var/slapt-get. You are free to try another solution or go back to manual upgradepkg(8).

UPGRADE.TXT and ChangeLog.txt is still required reading, the latter is especially true when running -current.

FILES
/etc/slapt-get/slapt-getrc

AUTHOR
Jason Woodward <woodwardj@jaos.org>

SEE ALSO
installpkg(8), makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8), netrc(5)